/* Basic and style-1 layout styles */

.upper-footer {
	>div {
		display: flex;
		justify-content: center;
		align-items: center;
		padding-left: 20px;
		padding-right: 20px;
		text-align: left;
		/* text-align: center; */

		/* Tablet Styles */
		@media (width >= 768px) {
			padding-left: 40px;
			padding-right: 40px;
		}
	}

	.site-locations {
		display: flex;
		flex-direction: column;
		/* line-height: 1.4em; */
	}

	.location-each {
		display: flex;
		flex-direction: column;
	}

	.location-text {
		display: flex;
		align-items: center;
		justify-content: center;
	}

	/* .phone-text {
		order: 1;
	}

	.sms-text {
		order: 2;
	}

	.fax-text {
		order: 3;
	} */

	.phone-sms-container {
		.sms-option:after {
			content: '\00a0';
		}
	}

	.address-text {
		order: 4;

		/* Tablet Styles */
		@media (width >= 1024px) {
			.location-address-block {
				display: flex;

				.address-street:after {
					content: ',\00a0';
				}
			}
		}
	}

	.hours-text {
		order: 5;
		display: block;

		.location-hours-block {
			display: flex;
			justify-content: center;

			.hours-day:after {
				content: '\00a0';
			}
		}
	}
}


/* Upper Footer Style 2 and Style 3 - Two Columns commmon Styles */

.upper-footer {
	&.style-1 {

		/* Desktop Styles */
		@media (width >= 1024px) {
			padding: 20px calc(40px + (50vw - (var(--desktop) / 2)));
		}
	}

	&.style-2,
	&.style-3 {

		/* Tablet Styles */
		@media (width >= 1024px) {
			display: grid;
			grid-template-columns: 1fr 1fr;
			grid-template-rows: auto auto;
		}
		@media (width >= 1500px) {
			grid-template-columns: 1.5fr 1fr;
		}

		.f-logo {

			/* Tablet Styles */
			@media (width >= 1024px) {
				justify-content: flex-start;
			}
		}

		.contact-container {

			/* Tablet Styles */
			@media (width >= 1024px) {
				justify-content: flex-start;
			}
		}
	}
}

/* Upper Footer Style 2 - Two Columns with Single Background, Line Accents */

.upper-footer {
	&.style-2 {

		/* Tablet Styles */
		@media (width >= 1024px) {
			grid-template-areas: "a c"
				"b c"
				"d d";
		}

		.footer-header,
		.footer-contact-form {

			/*
@media (width >= 1024px) {
				padding-left: calc(40px + (50vw - (#{$desktop} / 2)));
			} */
			/* Full Screen Styles */
			@media (width >= 1500px) {
				padding: 0 calc(40px + (50vw - (var(--full) / 2)));
			}
		}

		.footer-header {

			/* Tablet Styles */
			@media (width >= 1024px) {
				padding-left: 40px;
				padding-right: 40px;
				padding-bottom: 55px;
			}
			@media (width >= 1500px) {
				padding: 0 calc(40px + (50vw - (var(--full) / 2)));
				padding-right: 0;
			}

			.contact-text {

				/* Tablet Styles */
				/* @media (width >= 1024px) {
					padding-left: 40px;
					padding-right: 40px;
				} */

				/* Full Screen Styles */
				/* @media (width >= 1500px) {
					padding: 0 calc(40px + (50vw - (var(--full) / 2)));
					padding-right: 0;
				} */
			}
		}

		.footer-contact-form {

			/* Tablet Styles */
			@media (width >= 1024px) {
				align-items: start;
				justify-content: flex-start;
				padding-right: 0;
			}
		}

		.footer-practice-info {

			/* Tablet Styles */
			@media (width >= 1024px) {
				align-items: start;
			}
		}

		.footer-nav {

			/* Tablet Styles */
			@media (width >= 768px) {
				background-color: transparent;
				border-top: 2px solid var(--light-color);
			}
		}

		.h2 {

			/* Tablet Styles */
			@media (width >= 1024px) {
				/* display: flex;
				align-items: center; */
				position: relative;
				width: 100%;

				/* &:before,
				&:after {
					content: '';
					border-top: 2px solid var(--light-color);
					display: flex;
					flex-grow: 1;
					position: relative;
					width: auto;
				}

				&:before {
					margin-right: 30px;
				}

				&:after {
					margin-left: 30px;
				} */
			}
			/* @media (width >= 1500px) {
				padding: 0 calc(40px + (50vw - (var(--full) / 2)));
				padding-right: 0;
			} */
		}
	}
}

/* Upper Footer Style 3 - Two Columns with Individual Backgrounds */

.upper-footer {
	&.style-3 {
		background-image: none;
		padding-bottom: 0;

		/* Tablet Styles */
		@media (width >= 768px) {
			grid-template-areas: "a c"
				"b c"
				"d d";
			padding-top: 0;
		}

		.footer-header {

			/* Tablet Styles */
			@media (width >= 768px) {
				padding: 55px 50px 0;
			}
		}

		.footer-contact-form {
			padding-bottom: 55px;

			/* Tablet Styles */
			@media (width >= 768px) {
				align-items: center;
				padding: 32px 50px 55px;
			}

			form {
				margin-bottom: 0;
			}
		}

		.footer-header,
		.footer-contact-form {

			/* Full Screen Styles */
			@media (width >= 1500px) {
				/* padding-left: 92px; */
				/* padding-right: 92px; */
				padding-left: 0;
				padding-right: 0;
				max-width: 630px;
				margin: 0 auto;
			}
		}

		.footer-practice-info {
			background-image: url('/wp-content/themes/rm-basetheme/images/bg-footer.jpg');
			background-size: cover;
			background-position: center;
			background-repeat: no-repeat;
			padding-top: 55px;
			padding-bottom: 55px;

			/* Tablet Styles */
			@media (width >= 768px) {
				align-items: center;
				/* padding-right: 0; */
			}
		}

		.footer-nav {

			/* Tablet Styles */
			@media (width >= 768px) {
				margin-top: 0;
			}
		}
	}
}